# SdFat: cache_t Union Reference

cache_t Union Reference

Cache for an raw data sector. More...

`#include <FatPartition.h>`

## Public Attributes

uint8_t | data [512]
DirFat_t | dir [16]
uint16_t | fat16 [256]
uint32_t | fat32 [128]

## Detailed Description

Cache for an raw data sector.

## Member Data Documentation

## data

uint8_t cache_t::data[512]

Used to access cached file data sectors.

## dir

DirFat_t cache_t::dir[16]

Used to access cached directory entries.

## fat16

uint16_t cache_t::fat16[256]

Used to access cached FAT16 entries.

## fat32

uint32_t cache_t::fat32[128]

Used to access cached FAT32 entries.

The documentation for this union was generated from the following file:

- ArduinoSdFat/libraries/SdFat/src/FatLib/FatPartition.h